{{#if template}}
<template lang="pug">
  div.comp
</template>
{{/if}}

{{#if script}}
<script>
  export default {
    name: 'comp-{{ properCase name }}',
    props: {},
    data() {
      return {

      }
    },
    computed: {},
    watch: {},
    filters: {},
    created() { },
    mounted() { },
    methods: {

    },
  }
</script>
{{/if}}

{{#if style}}
<style lang="stylus" scoped>

</style>
{{/if}}
